source: trunk/dports/perl/p5-file-temp-svkonly/Portfile @ 21494

Last change on this file since 21494 was 21494, checked in by eridius@…, 13 years ago

Massive update to svn properties on files:
All patchfiles have svn:eol-style removed.
All files that are not in fact able to be executed have svn:executable removed
All binary files have svn:eol-style removed (and are probably corrupt)
All binary files have svn:mime-type set to application/octet-stream
All files which are not patchfiles or binary files have svn:eol-style set to native
All Portfiles have svn:eol-style set to native and svn:executable removed

  • Property svn:eol-style set to native
File size: 1.4 KB
Line 
1# $Id: /local/dports/perl/p5-file-temp-svkonly/Portfile 20414 2006-11-02T20:17:00.028444Z dluke  $
2
3PortSystem 1.0
4name                    p5-file-temp-svkonly
5version                 0.17
6categories              perl
7maintainers             dluke@geeklair.net
8description             p5-file-temp port that overrides the perl-provided module
9long_description        This p5-file-temp port exists only for svk support. It installs \
10                                over the perl distributed version of File::Temp so that svk \
11                                will use it instead of the older perl provided version.
12
13platforms               darwin
14
15master_sites            http://cpan.perl.org/authors/id/T/TJ/TJENNESS/
16homepage                http://search.cpan.org/~tjenness/
17distname                File-Temp-${version}
18dist_subdir             perl5
19depends_lib             path:${prefix}/bin/perl:perl5.8
20
21checksums               md5 9c096b38cf45e579ce5b0f53bcb090b2
22
23#- Perl searches vendor location last, so this won't
24#- override the older version included with perl
25#- if we install in the vendor location
26configure.cmd       ${prefix}/bin/perl
27configure.pre_args  Makefile.PL
28test.run            yes
29destroot.target     pure_install
30
31
32post-destroot {
33        set perl5.version [lindex [split [exec ${prefix}/bin/perl -V:version] {'}] 1]
34        foreach packlist [exec find ${destroot}${prefix}/lib/perl5/${perl5.version} -name .packlist] {
35                ui_info "Fixing packlist ${packlist}"
36                reinplace "s|${destroot}||" ${packlist}
37        }
38        ui_msg "You must install or activate this package with '-f' (force) as it needs to overwrite files installed by the perl5.8 port"
39}
Note: See TracBrowser for help on using the repository browser.